Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.impl
Class TM4JObjectWrapper

    java.lang.Object
      de.uka.ipd.consensus.impl.TM4JObjectWrapper

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AssociationImpl, AssociationRoleImpl, OccurrenceImpl, TM4JRatingImpl, TM4JTopicWrapper, UserImpl

public class TM4JObjectWrapper
extends Object
implements Serializable

TODO

Version:
  2006-06-14
Author:
  Thomas Much
See Also:
  Serialized Form

Field Summary
`protected static org.tm4j.topicmap.Topic[]` | `EMPTY_SCOPE`

Constructor Summary
`TM4JObjectWrapper(OntologyManagerImpl omi, org.tm4j.topicmap.TopicMapObject tmObject)`

Method Summary
`boolean` | `equals(Object other)`
`protected static Object` | `getCache(String key)`
`protected LoggingManager` | `getLoggingManager()`
`protected String` | `getObjectId()`
`protected static org.tm4j.topicmap.Occurrence` | `getOccurrence(org.tm4j.topicmap.Topic tmTopic, org.tm4j.topicmap.Topic tmType)`
`protected OntologyManagerImpl` | `getOntologyManager()`
`protected org.tm4j.topicmap.TopicMapObject` | `getWrappedObject()`
`int` | `hashCode()`
`protected static void` | `putCache(String key, Object value)`
`protected static AssociationImpl` | `wrap(OntologyManagerImpl omi, org.tm4j.topicmap.Association a)`
`protected static String` | `wrap(OntologyManagerImpl omi, org.tm4j.topicmap.BaseName bn)`
`protected static String` | `wrap(OntologyManagerImpl omi, org.tm4j.net.Locator loc)`
`protected static AssociationRoleImpl` | `wrap(OntologyManagerImpl omi, org.tm4j.topicmap.Member m)`
`protected static Object` | `wrap(OntologyManagerImpl omi, Object obj)`
`protected static OccurrenceImpl` | `wrap(OntologyManagerImpl omi, org.tm4j.topicmap.Occurrence occ)`
`protected static Object` | `wrap(OntologyManagerImpl omi, org.tm4j.topicmap.Topic t)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_SCOPE

    protected static final org.tm4j.topicmap.Topic[] EMPTY_SCOPE

Constructor Detail

### TM4JObjectWrapper

    public TM4JObjectWrapper(OntologyManagerImpl omi,
                             org.tm4j.topicmap.TopicMapObject tmObject)

Method Detail

### getOntologyManager

    protected OntologyManagerImpl getOntologyManager()

### getLoggingManager

    protected LoggingManager getLoggingManager()

### getWrappedObject

    protected org.tm4j.topicmap.TopicMapObject getWrappedObject()

### getObjectId

    protected String getObjectId()

### equals

    public boolean equals(Object other)

### hashCode

    public int hashCode()

### getOccurrence

    protected static org.tm4j.topicmap.Occurrence getOccurrence(org.tm4j.topicmap.Topic tmTopic,
                                                                org.tm4j.topicmap.Topic tmType)

### getCache

    protected static Object getCache(String key)

### putCache

    protected static void putCache(String key,
                                   Object value)

### wrap

    protected static Object wrap(OntologyManagerImpl omi,
                                 org.tm4j.topicmap.Topic t)

### wrap

    protected static AssociationImpl wrap(OntologyManagerImpl omi,
                                          org.tm4j.topicmap.Association a)

### wrap

    protected static AssociationRoleImpl wrap(OntologyManagerImpl omi,
                                              org.tm4j.topicmap.Member m)

### wrap

    protected static OccurrenceImpl wrap(OntologyManagerImpl omi,
                                         org.tm4j.topicmap.Occurrence occ)

### wrap

    protected static String wrap(OntologyManagerImpl omi,
                                 org.tm4j.topicmap.BaseName bn)

### wrap

    protected static String wrap(OntologyManagerImpl omi,
                                 org.tm4j.net.Locator loc)

### wrap

    protected static Object wrap(OntologyManagerImpl omi,
                                 Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD